package com.akamai.ampdemo;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ListView;

import com.akamai.media.elements.AMPLibraryInfo;

import java.util.ArrayList;


public class MainActivity extends Activity {

    private static final String NIELSEN_CONFIG = "http://projects.mediadev.edgesuite.net/customers/akamai/android/demos/nielsendcr.json";
    //http://projects.mediadev.edgesuite.net/sandbox/maverick/whatever/nielsendcr.json
    private static final String VOD_HLS = "http://www.nielseninternet.com/BBB/prog_index.m3u8";
    private static final String LIVE_HLS = "http://www.nielseninternet.com/NielsenLiveTest/prog_index.m3u8";
    private static final String DTVR_HLS = "http://nielsense-assets.s3.amazonaws.com/id3/001/prog_index.m3u8";

    private ArrayList<Video> videos;
    private PlaylistAdapter adapter;
    private ListView listView;


    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        listView = (ListView) findViewById(R.id.playlist);
        createPlaylist();
        adapter = new PlaylistAdapter(this, videos);
        listView.setAdapter(adapter);
        listView.setOnItemClickListener(new AdapterView.OnItemClickListener() {
            @Override
            public void onItemClick(AdapterView<?> adapterView, View view, int i, long l) {
                Intent intent = new Intent(MainActivity.this, PlayerActivity.class);
                intent.putExtra("videoSelected", adapter.getItem(i));
                startActivity(intent);
            }
        });
    }

    private void createPlaylist() {
        videos = new ArrayList<>();
        videos.add(new Video("(DTVR) VOD Short Film",
                "6:57",
                false,
                DTVR_HLS,
                NIELSEN_CONFIG,
                null));
        videos.add(new Video("(DCR) VOD Short Film",
                "9:54",
                true,
                VOD_HLS,
                NIELSEN_CONFIG,
                null));
        videos.add(new Video("(DCR) Live HLS Stream",
                "∞",
                false,
                LIVE_HLS,
                NIELSEN_CONFIG,
                null));
        videos.add(new Video("(DCR) Pre-roll ads",
                "9:54",
                true,
                VOD_HLS,
                NIELSEN_CONFIG,
                "https://pubads.g.doubleclick.net/gampad/ads?sz=640x480&iu=/124319096/external/ad_rule_samples&ciu_szs=300x250&ad_rule=1&impl=s&gdfp_req=1&env=vp&output=vmap&unviewed_position_start=1&cust_params=deployment%3Ddevsite%26sample_ar%3Dpreonly&cmsid=496&vid=short_onecue&correlator="));
        videos.add(new Video("(DCR) Pre-roll and mid-roll ads",
                "9:54",
                true,
                VOD_HLS,
                NIELSEN_CONFIG,
                "https://pubads.g.doubleclick.net/gampad/ads?sz=640x480&iu=/124319096/external/ad_rule_samples&ciu_szs=300x250&ad_rule=1&impl=s&gdfp_req=1&env=vp&output=vmap&unviewed_position_start=1&cust_params=deployment%3Ddevsite%26sample_ar%3Dpremidpost&cmsid=496&vid=short_onecue&correlator="));
    }

}
