package octoshape.android.stream;

import com.google.android.gms.cast.MediaInfo;

/**
 * Created by dota on 16-02-2015.
 */
public interface IStreamPlayerWrapperListener {

    /**
     *
     * This method notifies the listeners that the {@linkplain octoshape.android.stream.StreamPlayerWrapper} successfully established a connection with the stream.
     * The {@linkplain com.google.android.gms.cast.MediaInfo} parameter it passes contains the following information:
     * <ul>
     *     <li><b>contentId</b>: the url of the video, stripped of any query parameters</li>
     *     <li><b>streamType</b>: {@linkplain MediaInfo#STREAM_TYPE_BUFFERED} if native seeking is enabled, {@linkplain MediaInfo#STREAM_TYPE_LIVE} otherwise</li>
     *     <li><b>custom data</b>: encoded as a JSON contains the following:
     *     <ul>
     *         <li><b>isLive</b>: boolean, true if the stream is live, false otherwise</li>
     *         <li><b>seekType</b>: the type of supported seeking, see {@linkplain octoshape.android.stream.SeekType}</li>
     *         <li><b>duration</b>: duration of the video</li>
     *         <li>any other query parameters received with the video URL</li>
     *     </ul>
     *     <li><b>mediaMetadata</b>: {@linkplain android.media.MediaMetadata}</li>
     * </ul>
     *
     * @param mediaInfo The media info of the  selected item
     */
    public void streamConnected(MediaInfo mediaInfo);

    /**
     *
     * @param problemInformation
     */
    public void gotProblem(String problemInformation);
}

